# Contributing to Laconic Core

Thank you for considering contributing to our project! Here are some guidelines to help you get started.

## Development Environment

This project uses dev containers to ensure consistent development environments. To get started:

1. Install [Docker](https://www.docker.com/products/docker-desktop) and [VS Code](https://code.visualstudio.com/)
2. Install the [Remote - Containers](https://marketplace.visualstudio.com/items?itemName=ms-vscode-remote.remote-containers) extension
3. Clone the repository and open it in VS Code
4. Click the green button in the bottom-left corner and select "Reopen in Container"

## Protected Files

Some files in this repository are protected and require specific approval before changes can be merged:

- `.devcontainer/*` - Dev container configuration
- `.vscode/*` - VS Code workspace settings
- `core configuration files` - Project configuration files
- `critical application files` - Core functionality

Please discuss any changes to these files with the maintainers before submitting pull requests.

## Code Style

This project uses Biome for formatting and linting. The dev container will automatically configure your editor to use the correct settings.

## Submitting Changes

1. Fork the repository
2. Create a new branch for your changes
3. Make your changes following the code style guidelines
4. Write tests for your changes
5. Submit a pull request

## Pull Request Process

1. Update the README.md with details of changes if applicable
2. The version numbers will be updated by maintainers following semantic versioning
3. Pull requests require approval from at least one maintainer
4. Once approved, maintainers will merge the PR

## Questions?

If you have questions, please open an issue or contact the maintainers.
