'use client'

import { Button } from '@workspace/ui/components/button'
import { useEffect } from 'react'

export default function ClientError({
  error,
  reset
}: {
  error: Error & { digest?: string }
  reset: () => void
}) {
  useEffect(() => {
    // Log the error to an error reporting service
    console.error(error)
  }, [error])

  return (
    <div className="p-8 text-center">
      <h2 className="text-xl font-bold mb-4">Something went wrong!</h2>
      <p className="mb-4 text-gray-600">{error.message}</p>
      <Button
        onClick={reset}
        className="px-4 py-2 bg-blue-500 text-white rounded hover:bg-blue-600"
      >
        Try again
      </Button>
    </div>
  )
}
