/**
 * Represents a step in the stepper.
 * @interface StepperValue
 * @property {number} step - The step number.
 * @property {string} route - The route associated with the step.
 * @property {string} label - The label for the step.
 */
export interface StepperValue {
  step: number
  route: string
  label: string
}

/**
 * Props for the Stepper component.
 * @interface StepperProps
 * @property {number} activeStep - The currently active step.
 * @property {StepperValue[]} stepperValues - The values for each step.
 */
export interface StepperProps {
  activeStep: number
  stepperValues: StepperValue[]
}
