import type { FormatMilliSecondProps } from '../format-milli-second'

/**
 * Props for the Stopwatch component.
 * @interface StopwatchProps
 * @property {Date} offsetTimestamp - The initial timestamp for the stopwatch.
 * @property {boolean} isPaused - Whether the stopwatch is paused.
 */
export interface StopwatchProps extends Omit<FormatMilliSecondProps, 'time'> {
  offsetTimestamp: Date
  isPaused: boolean
}
