# LoadingOverlay Component

A component to display a loading overlay with optional logo and spinner.

## Features

- Displays a loading overlay
- Optional Laconic logo and spinner
- Customizable styling and z-index

## Usage

```tsx
import { LoadingOverlay } from 'path/to/components/foundation/loading/loading-overlay'

// Basic usage
<LoadingOverlay isLoading={true} />
```

## Props

| Prop | Type | Description |
|------|------|-------------|
| `isLoading` | `boolean` | Controls the visibility of the overlay |
| `className` | `string` | Optional className for styling |
| `showLogo` | `boolean` | Whether to show the Laconic logo |
| `showSpinner` | `boolean` | Whether to show the loading spinner |
| `zIndex` | `number` | The z-index value for the overlay |
| `solid` | `boolean` | Whether to use a solid black background | 