# NavigationWrapper Component

A container component that wraps page content with navigation functionality.

## Features

- Wraps content with navigation
- Customizable styling

## Usage

```tsx
import { NavigationWrapper } from 'path/to/components/foundation/navigation-wrapper'

// Basic usage
<NavigationWrapper className="custom-class">
  <div>Content with navigation</div>
</NavigationWrapper>
```

## Props

See [types.ts](./types.ts) for detailed type definitions.

| Prop | Type | Description |
|------|------|-------------|
| `children` | `ReactNode` | Content to be displayed within the navigation wrapper |
| `className` | `string` | Additional CSS classes | 