# PageWrapper Component

A container component for wrapping page content with optional styling.

## Features

- Wraps main content
- Customizable styling

## Usage

```tsx
import { PageWrapper } from 'path/to/components/foundation/page-wrapper'

// Basic usage
<PageWrapper className="custom-class">
  <div>Main content here</div>
</PageWrapper>
```

## Props

See [types.ts](./types.ts) for detailed type definitions.

| Prop | Type | Description |
|------|------|-------------|
| `children` | `ReactNode` | Main content for the page |
| `className` | `string` | Additional CSS classes | 