/**
 * Simplified Project type to represent project data
 */
export interface Project {
  id: string
  name: string
  description?: string
  repoUrl?: string
}

/**
 * ProjectSearchBarProps interface defines the props for the ProjectSearchBar component.
 */
export interface ProjectSearchBarProps {
  /**
   * Callback function to be called when a project is selected.
   * @param data - The selected project data.
   */
  onChange?: (data: Project) => void

  /**
   * Optional placeholder text for the search input.
   */
  placeholder?: string
}
