# TopNavigation Component

A component for the top navigation bar, providing navigation controls and additional features like dark mode toggle and wallet session badge.

## Features

- Navigation controls
- Dark mode toggle
- Wallet session badge
- Customizable styling

## Usage

```tsx
import { TopNavigation } from 'path/to/components/foundation/top-navigation'

// Basic usage
<TopNavigation className="custom-class" />
```

## Props

See [types.ts](./types.ts) for detailed type definitions.

| Prop | Type | Description |
|------|------|-------------|
| `className` | `string` | Additional CSS classes |

## Additional Components

- **DarkModeToggle**: Toggles between light and dark themes
- **WalletSessionBadge**: Displays wallet session status
- **NavigationItem**: Represents individual navigation items 