# MainNavigation Component

A component for the main navigation bar, providing navigation controls and additional features like dark mode toggle and wallet session badge.

## Features

- Navigation controls
- Dark mode toggle
- Wallet session badge
- Customizable styling

## Usage

```tsx
import { TopNavigation } from 'path/to/components/foundation/top-navigation/main-navigation'

// Basic usage
<TopNavigation />
```

## Props

| Prop | Type | Description |
|------|------|-------------|
| `config` | `TopNavigationConfig` | Configuration for navigation items |
| `children` | `ReactNode` | Additional elements to render |

## Additional Components

- **DarkModeToggle**: Toggles between light and dark themes
- **WalletSessionBadge**: Displays wallet session status
- **NavigationItem**: Represents individual navigation items 