# Auto Sign-In IFrame Modal

A modal component that handles wallet authentication through an embedded iframe.

## Features

- Seamless wallet authentication flow
- Handles message passing between the application and wallet iframe
- Uses Sign-In With Ethereum (SIWE) for secure authentication
- Automatically redirects after successful authentication

## Usage

```tsx
import { AutoSignInIFrameModal } from '@/components/iframe/auto-sign-in'

// Use in authentication flow
function LoginPage() {
  const [showWalletAuth, setShowWalletAuth] = useState(false)
  
  return (
    <div>
      <button onClick={() => setShowWalletAuth(true)}>
        Connect Wallet
      </button>
      
      {showWalletAuth && <AutoSignInIFrameModal />}
    </div>
  )
}
```

## Implementation Notes

This component replaces the original implementation with a consolidated version that uses native HTML elements and Tailwind CSS for styling. It combines functionality from duplicate components that existed in the original codebase.

The component uses message passing to communicate with a wallet iframe for secure authentication. 