# GitHub Session Button

A button component that allows users to log in or log out with their GitHub account.

## Features

- Displays GitHub login state with a colored indicator
- Shows user avatar and username when logged in
- Provides logout option in dropdown menu
- Shows login option when not authenticated

## Usage

```tsx
import { GitHubSessionButton } from '@/components/layout/navigation/github-session-button'

// Use in navigation bar
<nav>
  <GitHubSessionButton />
</nav>
```

## Implementation Notes

This component replaces the original implementation that used external UI libraries with a version using native HTML elements and Tailwind CSS. 