# Laconic Icon

A component that renders the Laconic brand icon as an SVG.

## Features

- Customizable width and height
- Default size of 40x40 pixels
- Accepts custom CSS classes for styling
- Uses current color for fill (can be styled through parent color)

## Usage

```tsx
import { LaconicIcon } from '@/components/layout/navigation/laconic-icon'

// Default usage
<LaconicIcon />

// Custom size
<LaconicIcon width={24} height={24} />

// Custom styling
<LaconicIcon className="text-blue-500" />
```

## Implementation Notes

This component renders a vector icon that adapts to the parent's text color through the `fill-current` class. 