# Navigation Actions

A component that renders action buttons for the navigation bar, including create project and notifications.

## Features

- Create project button with plus icon
- Notifications button with bell icon
- Responsive design with hover states
- Accessible buttons with aria-labels

## Usage

```tsx
import { NavigationActions } from '@/components/layout/navigation/navigation-actions'

// Use in navigation bar
<nav>
  <div className="flex justify-between">
    <Logo />
    <NavigationActions />
  </div>
</nav>
```

## Implementation Notes

This component replaces the original implementation that used external UI libraries with a version using native HTML elements and Tailwind CSS. 