# Wallet Session ID

A component that displays the current wallet session ID with a connection status indicator.

## Features

- Shows wallet ID in a badge format
- Displays connection status with a colored indicator
- Accepts custom wallet ID via props
- Can be styled with custom CSS classes

## Usage

```tsx
import { WalletSessionId } from '@/components/layout/navigation/wallet-session-id'

// Default usage - uses connected wallet ID
<WalletSessionId />

// With custom wallet ID
<WalletSessionId walletId="0x123456789" />

// With custom styling
<WalletSessionId className="bg-slate-200" />
```

## Implementation Notes

This component replaces the original implementation with a version using native HTML elements and Tailwind CSS. The actual wallet connection status would come from a wallet context in the application. 