// 'use client'

// import { VisuallyHidden } from '@radix-ui/react-visually-hidden'
// import {
//   Dialog,
//   DialogContent,
//   DialogTitle,
//   DialogTrigger
// } from '@workspace/ui/components/dialog'
// import { useEffect, useState } from 'react'
// import Onboarding from './Onboarding'
// import { useOnboarding } from './store'

// // Local storage keys
// const ONBOARDING_COMPLETED_KEY = 'onboarding_completed'
// const ONBOARDING_STATE_KEY = 'onboarding_state'
// const ONBOARDING_PROGRESS_KEY = 'onboarding_progress'
// const ONBOARDING_FORCE_CONNECT_KEY = 'onboarding_force_connect'

// interface OnboardingDialogProps {
//   trigger?: React.ReactNode
//   defaultOpen?: boolean
//   onClose?: () => void
// }

// /**
//  * OnboardingDialog component
//  *
//  * A dialog modal that contains the onboarding flow.
//  * Can be triggered by a custom element or automatically opened.
//  * Sets the initial step based on GitHub connection status.
//  * Provides warnings when exiting mid-step and options to continue progress.
//  */
// const OnboardingDialog: React.FC<OnboardingDialogProps> = ({
//   trigger,
//   defaultOpen = false,
//   onClose
// }) => {
//   const onboardingStore = useOnboarding()
//   const { setCurrentStep, currentStep, formData } = onboardingStore
//   // const { octokit } = useOctokit()
//   const [showExitWarning, setShowExitWarning] = useState(false)
//   const [showContinueAlert, setShowContinueAlert] = useState(false)
//   const [isOpen, setIsOpen] = useState(defaultOpen)
//   const [forceConnectStep, setForceConnectStep] = useState(false)

//   // Check for force connect flag when component mounts
//   useEffect(() => {
//     const shouldForceConnect =
//       localStorage.getItem(ONBOARDING_FORCE_CONNECT_KEY) === 'true'
//     if (shouldForceConnect) {
//       setForceConnectStep(true)
//       // Clear the flag so it's only used once
//       localStorage.removeItem(ONBOARDING_FORCE_CONNECT_KEY)
//     }
//   }, [])

//   // Local implementation of reset function that handles all necessary state
//   const resetOnboardingState = () => {
//     // Reset step to connect
//     setCurrentStep('connect')

//     // Flag to force starting from the connect step
//     setForceConnectStep(true)

//     // Also reset form data to ensure substeps are cleared
//     const store = onboardingStore
//     store.setFormData({
//       projectName: '',
//       repoName: '',
//       repoDescription: '',
//       framework: '',
//       access: 'public',
//       organizationSlug: ''
//     })
//   }

//   // Close and reset onboarding dialog
//   const closeOnboarding = () => {
//     // Remove the "in progress" flag from localStorage
//     localStorage.removeItem(ONBOARDING_PROGRESS_KEY)
//     // Also remove saved state to prevent issues on next open
//     localStorage.removeItem(ONBOARDING_STATE_KEY)
//     // Reset component state
//     resetOnboardingState()
//     setShowContinueAlert(false)
//     // Explicitly set isOpen to false to ensure dialog closes
//     setIsOpen(false)
//   }

//   // Check if there's existing progress
//   useEffect(() => {
//     if (isOpen) {
//       const savedProgress = localStorage.getItem(ONBOARDING_PROGRESS_KEY)
//       const savedState = localStorage.getItem(ONBOARDING_STATE_KEY)

//       if (savedProgress === 'true' && savedState && !forceConnectStep) {
//         // Show continue or start fresh dialog
//         setShowContinueAlert(true)
//       } else {
//         // Set initial step based on GitHub connection status
//         initializeOnboarding()
//       }
//     }
//   }, [isOpen, forceConnectStep])

//   // Set the initial step based on GitHub connection status
//   const initializeOnboarding = () => {
//     // Reset previous state
//     resetOnboardingState()

//     // If GitHub is connected AND we're not forcing the connect step,
//     // start at the configure step. Otherwise, start at the connect step
//     // if (octokit && !forceConnectStep) {
//     //   setCurrentStep('configure')
//     // } else {
//     //   setCurrentStep('connect')
//     // }

//     // Mark that we have onboarding in progress
//     localStorage.setItem(ONBOARDING_PROGRESS_KEY, 'true')

//     // Save the initial state
//     saveCurrentState()
//   }

//   // Start fresh by initializing onboarding and forcing the connect step

//   // Continue from saved state and don't force the connect step

//   // Save current onboarding state
//   const saveCurrentState = () => {
//     try {
//       const state = {
//         currentStep,
//         formData,
//         forceConnectStep // Save this flag as part of the state
//       }
//       localStorage.setItem(ONBOARDING_STATE_KEY, JSON.stringify(state))
//     } catch (error) {
//       console.error('Error saving onboarding state:', error)
//     }
//   }

//   // Load saved onboarding state

//   // Save state on step changes
//   // useEffect(() => {
//   //   if (isOpen) {
//   //     saveCurrentState()
//   //   }
//   // }, [isOpen, currentStep, formData, forceConnectStep])

//   // Mark onboarding as completed when user reaches the deploy step
//   useEffect(() => {
//     if (currentStep === 'deploy') {
//       localStorage.setItem(ONBOARDING_COMPLETED_KEY, 'true')
//     }
//   }, [currentStep])

//   // Handle dialog close attempt
//   const handleOpenChange = (open: boolean) => {
//     // First update the isOpen state to ensure UI responds immediately
//     setIsOpen(open)

//     if (!open) {
//       // When dialog is closing, properly clean up
//       closeOnboarding()

//       if (onClose) {
//         onClose()
//       }
//     }
//   }

//   // Define the missing functions to handle dialog closing

//   return (
//     <>
//       <Dialog open={isOpen} onOpenChange={handleOpenChange}>
//         {trigger && <DialogTrigger asChild>{trigger}</DialogTrigger>}
//         <DialogContent className="max-w-[95vw] max-h-[95vh] w-[1200px] h-[800px] overflow-hidden p-0">
//           <VisuallyHidden>
//             <DialogTitle>Onboarding</DialogTitle>
//           </VisuallyHidden>
//           <div className="h-full min-w-full w-3xl">
//             <Onboarding />
//           </div>
//         </DialogContent>
//       </Dialog>

//       {/* Exit Warning Dialog */}
//       {/* <AlertDialog open={showExitWarning} onOpenChange={setShowExitWarning}>
//                       <AlertDialogContent>
//                         <AlertDialogTitle>Exit Onboarding?</AlertDialogTitle>
//                         <AlertDialogDescription>
//                           You haven't completed the onboarding process. If you exit now, your
//                           progress will be lost, including any organization or repository
//                           selections.
//                         </AlertDialogDescription>
//                         <AlertDialogFooter>
//                           <AlertDialogCancel onClick={cancelClose}>Cancel</AlertDialogCancel>
//                           <AlertDialogAction onClick={completeClose}>
//                             Exit Anyway
//                           </AlertDialogAction>
//                         </AlertDialogFooter>
//                       </AlertDialogContent>
//                      </AlertDialog> */}

//       {/* Continue Progress Dialog */}
//       {/* <AlertDialog open={showContinueAlert} onOpenChange={setShowContinueAlert}>
//                       <AlertDialogContent>
//                         <AlertDialogTitle>Continue Onboarding?</AlertDialogTitle>
//                         <AlertDialogDescription>
//                           You're in the middle of setting up your project, including
//                           organization and repository selection. Would you like to continue
//                           where you left off or start fresh?
//                         </AlertDialogDescription>
//                         <AlertDialogFooter>
//                           <AlertDialogCancel onClick={startFresh}>
//                             Start Fresh
//                           </AlertDialogCancel>
//                           <AlertDialogAction onClick={continueOnboarding}>
//                             Continue
//                           </AlertDialogAction>
//                         </AlertDialogFooter>
//                       </AlertDialogContent>
//                      </AlertDialog> */}
//     </>
//   )
// }

// /**
//  * Helper function to check if the user has completed onboarding
//  * @returns {boolean} Whether onboarding has been completed
//  */
// export const hasCompletedOnboarding = (): boolean => {
//   return localStorage.getItem(ONBOARDING_COMPLETED_KEY) === 'true'
// }

// export default OnboardingDialog
'use client'

import { useState } from 'react'
import { X, Github } from 'lucide-react'
import { Button } from '@workspace/ui/components/button'
import { Select, SelectContent, SelectItem, SelectTrigger, SelectValue } from '@workspace/ui/components/select'
import { useOnboarding } from '@/components/onboarding/useOnboarding'
import { ScrollableRepoList } from '@/components/onboarding/connect-step/repository-list'
import { TemplateList } from '@/components/onboarding/connect-step/template-list'
import { useRepoData } from '@/hooks/useRepoData'
import { Dialog, DialogContent, DialogTitle } from '@workspace/ui/components/dialog'
import { VisuallyHidden } from '@radix-ui/react-visually-hidden'

interface OnboardingDialogProps {
  trigger?: React.ReactNode
  defaultOpen?: boolean
  onClose?: () => void
}

/**
 * OnboardingDialog component
 *
 * A dialog modal that contains the onboarding flow.
 * Can be triggered by a custom element or automatically opened.
 */
const OnboardingDialog: React.FC<OnboardingDialogProps> = ({
  trigger,
  defaultOpen = false,
  onClose
}) => {
  const { nextStep, setFormData, formData, currentStep } = useOnboarding()
  const [selectedRepo, setSelectedRepo] = useState<string>(formData.githubRepo || '')
  const [isImportMode, setIsImportMode] = useState(true)
  const [isOpen, setIsOpen] = useState(defaultOpen)
  const { repoData: repositories, isLoading } = useRepoData('')
  
  // Handle repository selection
  const handleRepoSelect = (repo: string) => {
    setSelectedRepo(repo)
    setFormData({ githubRepo: repo })
  }
  
  // Handle mode toggle between import and template
  const toggleMode = (mode: 'import' | 'template') => {
    setIsImportMode(mode === 'import')
  }

  // Handle dialog open/close
  const handleOpenChange = (open: boolean) => {
    setIsOpen(open)
    if (!open && onClose) {
      onClose()
    }
  }
  
  return (
    <Dialog open={isOpen} onOpenChange={handleOpenChange}>
      {trigger && trigger}
      <DialogContent className="max-w-[95vw] max-h-[95vh] w-[1200px] h-[800px] overflow-hidden p-0 bg-black border-zinc-800">
        <VisuallyHidden>
          <DialogTitle>Onboarding</DialogTitle>
        </VisuallyHidden>
        
        <div className="flex h-full w-full">
          {/* Left sidebar with steps */}
          <div className="w-[280px] bg-zinc-950 p-8 relative overflow-hidden">
            {/* Laconic logo */}
            <div className="flex items-center mb-12">
              <svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg" className="mr-2">
                <path d="M12 16L4 8L12 0L20 8L12 16Z" fill="white"/>
              </svg>
              <span className="text-white text-xl font-bold">LACONIC</span>
            </div>
            
            {/* Steps */}
            <div className="space-y-10">
              {/* Connect step */}
              <div className="flex">
                <div className="mr-4">
                  <div className={`w-10 h-10 rounded-lg ${currentStep === 'connect' ? 'bg-white' : 'bg-zinc-800'} flex items-center justify-center`}>
                    <svg viewBox="0 0 24 24" width="20" height="20" stroke="currentColor" strokeWidth="2" fill="none" strokeLinecap="round" strokeLinejoin="round" className={currentStep === 'connect' ? 'text-black' : 'text-zinc-400'}>
                      <path d="M15 7h3a5 5 0 0 1 5 5 5 5 0 0 1-5 5h-3m-6 0H6a5 5 0 0 1-5-5 5 5 0 0 1 5-5h3"></path>
                      <line x1="8" y1="12" x2="16" y2="12"></line>
                    </svg>
                  </div>
                  <div className="w-px h-16 bg-zinc-800 mx-auto mt-2"></div>
                </div>
                <div>
                  <h3 className={`font-medium text-base ${currentStep === 'connect' ? 'text-white' : 'text-zinc-400'}`}>Connect</h3>
                  <p className={`text-sm ${currentStep === 'connect' ? 'text-zinc-400' : 'text-zinc-500'}`}>Connect and import a GitHub repo</p>
                </div>
              </div>
              
              {/* Configure step */}
              <div className="flex">
                <div className="mr-4">
                  <div className={`w-10 h-10 rounded-lg ${currentStep === 'configure' ? 'bg-white' : 'bg-zinc-800'} flex items-center justify-center`}>
                    <svg viewBox="0 0 24 24" width="20" height="20" stroke="currentColor" strokeWidth="2" fill="none" strokeLinecap="round" strokeLinejoin="round" className={currentStep === 'configure' ? 'text-black' : 'text-zinc-400'}>
                      <path d="M12 20h9"></path>
                      <path d="M16.5 3.5a2.121 2.121 0 0 1 3 3L7 19l-4 1 1-4L16.5 3.5z"></path>
                    </svg>
                  </div>
                  <div className="w-px h-16 bg-zinc-800 mx-auto mt-2"></div>
                </div>
                <div>
                  <h3 className={`font-medium text-base ${currentStep === 'configure' ? 'text-white' : 'text-zinc-400'}`}>Configure</h3>
                  <p className={`text-sm ${currentStep === 'configure' ? 'text-zinc-400' : 'text-zinc-500'}`}>Define the deployment type</p>
                </div>
              </div>
              
              {/* Deploy step */}
              <div className="flex">
                <div className="mr-4">
                  <div className={`w-10 h-10 rounded-lg ${currentStep === 'deploy' ? 'bg-white' : 'bg-zinc-800'} flex items-center justify-center`}>
                    <svg viewBox="0 0 24 24" width="20" height="20" stroke="currentColor" strokeWidth="2" fill="none" strokeLinecap="round" strokeLinejoin="round" className={currentStep === 'deploy' ? 'text-black' : 'text-zinc-400'}>
                      <rect x="2" y="2" width="20" height="20" rx="5" ry="5"></rect>
                      <path d="M16 11.37A4 4 0 1 1 12.63 8 4 4 0 0 1 16 11.37z"></path>
                      <line x1="17.5" y1="6.5" x2="17.51" y2="6.5"></line>
                    </svg>
                  </div>
                </div>
                <div>
                  <h3 className={`font-medium text-base ${currentStep === 'deploy' ? 'text-white' : 'text-zinc-400'}`}>Deploy</h3>
                  <p className={`text-sm ${currentStep === 'deploy' ? 'text-zinc-400' : 'text-zinc-500'}`}>Review and confirm deployment</p>
                </div>
              </div>
            </div>
            
            {/* Background shape (decorative) */}
            <div className="absolute -bottom-32 -left-32 w-64 h-64 rounded-full bg-zinc-900 opacity-50"></div>
          </div>
          
          {/* Main content */}
          <div className="flex-1 bg-zinc-950 p-8 relative">
            {/* Close button */}
            <button 
              className="absolute top-4 right-4 text-zinc-400 hover:text-white"
              onClick={() => handleOpenChange(false)}
            >
              <X size={24} />
            </button>
            
            {currentStep === 'connect' && (
              <div className="max-w-md mx-auto mt-8">
                {/* Connect icon */}
                <div className="flex justify-center mb-6">
                  <svg viewBox="0 0 24 24" width="48" height="48" stroke="currentColor" strokeWidth="2" fill="none" strokeLinecap="round" strokeLinejoin="round" className="text-white">
                    <path d="M15 7h3a5 5 0 0 1 5 5 5 5 0 0 1-5 5h-3m-6 0H6a5 5 0 0 1-5-5 5 5 0 0 1 5-5h3"></path>
                    <line x1="8" y1="12" x2="16" y2="12"></line>
                  </svg>
                </div>
                
                {/* Connect header */}
                <h2 className="text-2xl font-medium text-white text-center mb-2">Connect</h2>
                <p className="text-center text-zinc-400 mb-8">
                  Connect and import a GitHub repo or start from a template
                </p>
                
                {/* Git account selector */}
                <div className="mb-4">
                  <Select defaultValue="git-account">
                    <SelectTrigger className="w-full bg-zinc-900 border-zinc-800 py-6 text-white">
                      <div className="flex items-center">
                        <Github className="mr-2 h-5 w-5" />
                        <SelectValue placeholder="Select Git account" />
                      </div>
                    </SelectTrigger>
                    <SelectContent className="bg-zinc-900 border-zinc-800">
                      <SelectItem value="git-account">git-account</SelectItem>
                    </SelectContent>
                  </Select>
                </div>
                
                {/* Mode buttons */}
                <div className="grid grid-cols-2 gap-2 mb-4">
                  <Button
                    variant={isImportMode ? "default" : "outline"}
                    className={`py-6 ${isImportMode ? 'bg-blue-600 hover:bg-blue-700 text-white' : 'bg-zinc-900 border-zinc-800 hover:bg-zinc-800 text-zinc-400'}`}
                    onClick={() => toggleMode('import')}
                  >
                    Import a repository
                  </Button>
                  <Button
                    variant={!isImportMode ? "default" : "outline"}
                    className={`py-6 ${!isImportMode ? 'bg-blue-600 hover:bg-blue-700 text-white' : 'bg-zinc-900 border-zinc-800 hover:bg-zinc-800 text-zinc-400'}`}
                    onClick={() => toggleMode('template')}
                  >
                    Start with a template
                  </Button>
                </div>
                
                {/* Repository or template list */}
                {isImportMode ? (
                  <div className="mb-8">
                    <ScrollableRepoList
                      repositories={repositories || []}
                      isLoading={isLoading}
                      onSelect={handleRepoSelect}
                      selectedRepo={selectedRepo}
                    />
                  </div>
                ) : (
                  <div className="mb-8">
                    <TemplateList onSelect={() => {}} />
                  </div>
                )}
                
                {/* Navigation buttons */}
                <div className="flex justify-between items-center mt-8">
                  <Button 
                    variant="outline" 
                    className="text-zinc-400 bg-zinc-900 border-zinc-800 hover:bg-zinc-800"
                    disabled={true}
                  >
                    Previous
                  </Button>
                  <div className="flex space-x-2">
                    <div className="w-12 h-1 rounded-full bg-blue-600"></div>
                    <div className="w-12 h-1 rounded-full bg-zinc-800"></div>
                    <div className="w-12 h-1 rounded-full bg-zinc-800"></div>
                  </div>
                  <Button 
                    className="bg-blue-600 hover:bg-blue-700 text-white" 
                    onClick={nextStep}
                    disabled={!selectedRepo && isImportMode}
                  >
                    Next
                  </Button>
                </div>
              </div>
            )}
            
            {currentStep === 'configure' && (
              <div className="max-w-md mx-auto mt-8">
                {/* Configure content will go here */}
                <div className="text-center">
                  <h2 className="text-2xl font-medium text-white mb-2">Configure</h2>
                  <p className="text-zinc-400 mb-8">
                    Define your deployment configuration
                  </p>
                  
                  <div className="text-center mt-16 text-zinc-400">
                    Configure step content will be implemented here
                  </div>
                  
                  {/* Navigation buttons */}
                  <div className="flex justify-between items-center mt-16">
                    <Button 
                      variant="outline" 
                      className="text-zinc-400 bg-zinc-900 border-zinc-800 hover:bg-zinc-800"
                      onClick={() => useOnboarding.getState().previousStep()}
                    >
                      Previous
                    </Button>
                    <div className="flex space-x-2">
                      <div className="w-12 h-1 rounded-full bg-zinc-800"></div>
                      <div className="w-12 h-1 rounded-full bg-blue-600"></div>
                      <div className="w-12 h-1 rounded-full bg-zinc-800"></div>
                    </div>
                    <Button 
                      className="bg-blue-600 hover:bg-blue-700 text-white" 
                      onClick={nextStep}
                    >
                      Next
                    </Button>
                  </div>
                </div>
              </div>
            )}
            
            {currentStep === 'deploy' && (
              <div className="max-w-md mx-auto mt-8">
                {/* Deploy content will go here */}
                <div className="text-center">
                  <h2 className="text-2xl font-medium text-white mb-2">Deploy</h2>
                  <p className="text-zinc-400 mb-8">
                    Review and confirm your deployment
                  </p>
                  
                  <div className="text-center mt-16 text-zinc-400">
                    Deploy step content will be implemented here
                  </div>
                  
                  {/* Navigation buttons */}
                  <div className="flex justify-between items-center mt-16">
                    <Button 
                      variant="outline" 
                      className="text-zinc-400 bg-zinc-900 border-zinc-800 hover:bg-zinc-800"
                      onClick={() => useOnboarding.getState().previousStep()}
                    >
                      Previous
                    </Button>
                    <div className="flex space-x-2">
                      <div className="w-12 h-1 rounded-full bg-zinc-800"></div>
                      <div className="w-12 h-1 rounded-full bg-zinc-800"></div>
                      <div className="w-12 h-1 rounded-full bg-blue-600"></div>
                    </div>
                    <Button 
                      className="bg-blue-600 hover:bg-blue-700 text-white"
                    >
                      Deploy
                    </Button>
                  </div>
                </div>
              </div>
            )}
          </div>
        </div>
      </DialogContent>
    </Dialog>
  )
}

export default OnboardingDialog