/**
 * This component is used to connect the first account to the user's GitHub account.
 * Should only show if not connected and have no projects
 * @see https://www.figma.com/design/cfMOy1RJasIu3QyzAMBFxB/Laconic?node-id=498-3262&m=dev
 */
import { Shapes } from 'lucide-react'
import { ConnectButton } from './connect-button'

export default function ConnectDeployFirstApp() {
  return (
    <div className="flex flex-col items-center justify-center gap-6 w-full max-w-[573px]">
      <div className="flex flex-col items-center justify-center gap-6 px-16 w-full">
        <div className="flex flex-col items-center gap-6 w-full max-w-[445px]">
          <div className="w-16 h-16">
            <Shapes className="w-full h-full text-foreground" />
          </div>

          <div className="flex flex-col items-center gap-1">
            <h2 className="text-2xl font-bold text-foreground text-center leading-8">
              Deploy your first app
            </h2>
            <p className="text-base text-muted-foreground text-center leading-6">
              Once connected, you can import a repository from your account or
              start with one of our templates.
            </p>
          </div>

          <ConnectButton />
        </div>
      </div>

      <div className="flex items-center gap-2.5 w-[276px]">
        <div className="flex-1 h-1.5 rounded-full bg-primary" />

        <div className="flex-1 h-1.5 rounded-full bg-muted-foreground/30" />

        <div className="flex-1 h-1.5 rounded-full bg-muted-foreground/30" />
      </div>
    </div>
  )
}
