import { Button } from '@workspace/ui/components/button'
import { GithubIcon } from 'lucide-react'

interface ConnectInitialProps {
  onConnect: () => void
}

export function ConnectInitial({ onConnect }: ConnectInitialProps) {
  return (
    <div className="flex flex-col items-center justify-center max-w-md mx-auto text-center">
      <div className="mb-6">
        {/* TODO: use lucide icon gitpullrequest in place of svg */}
        <svg
          width="48"
          height="48"
          viewBox="0 0 48 48"
          fill="none"
          xmlns="http://www.w3.org/2000/svg"
          aria-label="Git pull request illustration"
          role="img"
        >
          <title>Git Pull Request</title>
          <circle cx="24" cy="12" r="4" fill="currentColor" />

          <circle cx="12" cy="36" r="4" fill="currentColor" />

          <circle cx="36" cy="36" r="4" fill="currentColor" />

          <line
            x1="24"
            y1="16"
            x2="14"
            y2="33"
            stroke="currentColor"
            strokeWidth="2"
          />

          <line
            x1="24"
            y1="16"
            x2="34"
            y2="33"
            stroke="currentColor"
            strokeWidth="2"
          />

          <line
            x1="14"
            y1="36"
            x2="34"
            y2="36"
            stroke="currentColor"
            strokeWidth="2"
          />
        </svg>
      </div>
      <h2 className="text-xl font-semibold mb-3 text-foreground">
        Deploy your first app
      </h2>
      <p className="text-muted-foreground mb-6">
        Once connected, you can import a repository from your account or start
        with one of our templates.
      </p>
      <Button onClick={onConnect} className="gap-2">
        <GithubIcon className="h-4 w-4" />
        Connect to GitHub
      </Button>
    </div>
  )
}
