'use client'

import { useOnboarding } from '../store'

/**
 * Final step in the onboarding flow
 * Displays deployment summary and triggers deployment
 *
 * Features:
 * - Configuration summary
 * - Repository display
 * - Deploy action
 *
 * @component
 */
export function DeployStep() {
  useOnboarding()

  return (
    <div className="w-full">
      <div className="max-w-2xl mx-auto space-y-8">
        <div className="flex flex-col items-center justify-center w-full max-w-[445px] mx-auto">
          <div className="w-full flex flex-col items-center gap-6">
            {/* Header section */}
            <div className="flex flex-col items-center gap-1">
              <div className="flex flex-col items-center gap-1">
                <h2 className="text-2xl font-bold text-foreground">Deploy</h2>
                <p className="text-base text-muted-foreground text-center">
                  Your deployment is configured and ready to go!
                </p>
              </div>
            </div>
            Content sections will be placed here: 1. Repository info card 2.
            Configuration summary 3. Deploy button
            {/* ...content here */}
            {/* <Deploy /> */}
          </div>
        </div>
      </div>
    </div>
  )
}
