import type { Project } from '@/types'
import { relativeTimeMs } from '@/utils/time'
import { Clock } from 'lucide-react'

interface AuctionCardProps {
  project: Project
}

export function AuctionCard({ project }: AuctionCardProps) {
  return (
    <div className="mt-6 p-4 border rounded-lg">
      <div className="flex items-center gap-2 mb-2">
        <Clock className="w-4 h-4 text-elements-low-em dark:text-foreground" />
        <span className="text-elements-low-em dark:text-foreground text-sm tracking-tight">
          Auction Status
        </span>
      </div>
      <div className="text-elements-high-em dark:text-foreground text-sm tracking-tighter">
        {project.auctionId && (
          <span>Auction started {relativeTimeMs(project.auctionId)}</span>
        )}
      </div>
    </div>
  )
}
