import type { ReactNode } from 'react'

interface OverviewInfoProps {
  label: string
  icon: ReactNode
  children: ReactNode
}

export function OverviewInfo({ label, icon, children }: OverviewInfoProps) {
  return (
    <div className="mb-6">
      <div className="flex items-center gap-2 mb-2">
        {icon}
        <span className="text-elements-low-em dark:text-foreground text-sm tracking-tight">
          {label}
        </span>
      </div>
      {children}
    </div>
  )
}
