// src/components/templates/TemplateIcon.tsx
'use client'

import { 
  Globe, 
  Image, 
  Code, 
  Smartphone, 
  Layout} from 'lucide-react'

export type TemplateIconType = 'web' | 'image' | 'nextjs' | 'pwa' | 'code' | 'mobile' | 'layout'

interface TemplateIconProps {
  type: TemplateIconType
  size?: number
  className?: string
}

const iconMap = {
  web: Globe,
  image: Image,
  nextjs: Code,
  pwa: Smartphone,
  code: Code,
  mobile: Smartphone,
  layout: Layout,
}

export function TemplateIcon({ type, size = 24, className = '' }: TemplateIconProps) {
  const IconComponent = iconMap[type] || Code
  
  return (
    <div className={`flex items-center justify-center ${className}`}>
      <IconComponent size={size} />
    </div>
  )
}