// src/constants/templates.ts
  export const TEMPLATE_REPOS = {
    PWA: process.env.NEXT_PUBLIC_GITHUB_PWA_TEMPLATE_REPO || 'snowball-test/test-progressive-web-app',
    IMAGE_UPLOAD_PWA: process.env.NEXT_PUBLIC_GITHUB_IMAGE_UPLOAD_PWA_TEMPLATE_REPO || 'snowball-test/image-upload-pwa-example',
    NEXTJS: process.env.NEXT_PUBLIC_GITHUB_NEXT_APP_TEMPLATE_REPO || 'snowball-test/starter.nextjs-react-tailwind',
  }
  
  export interface TemplateDetail {
    id: string
    name: string
    icon: string
    repoFullName: string
    description: string
    isComingSoon?: boolean
    tags?: string[]
  }
  
  export const AVAILABLE_TEMPLATES: TemplateDetail[] = [
    {
      id: 'pwa',
      name: 'Progressive Web App (PWA)',
      icon: 'web',
      repoFullName: TEMPLATE_REPOS.PWA,
      description: 'A fast, offline-capable web application with service worker support',
      tags: ['PWA', 'Service Worker', 'Offline'],
      isComingSoon: false,
    },
    {
      id: 'image-upload-pwa',
      name: 'Image Upload PWA',
      icon: 'image',
      repoFullName: TEMPLATE_REPOS.IMAGE_UPLOAD_PWA,
      description: 'PWA with image upload and processing capabilities',
      tags: ['PWA', 'Upload', 'Images'],
      isComingSoon: false,
    },
    {
      id: 'nextjs-tailwind',
      name: 'Next.js + React + TailwindCSS',
      icon: 'nextjs',
      repoFullName: TEMPLATE_REPOS.NEXTJS,
      description: 'Modern React framework with TailwindCSS for styling',
      tags: ['Next.js', 'React', 'TailwindCSS'],
      isComingSoon: false,
    },
  ]