import { useRouter } from 'next/navigation'
import type { ReactNode } from 'react'
import { OctokitProvider } from './OctokitContext'

/**
 * @component OctokitProviderWithRouter
 * @description A wrapper component that provides the OctokitProvider with a navigation function from the router.
 * @param {ReactNode} children - The children to render.
 */
export const OctokitProviderWithRouter = ({
  children
}: {
  children: ReactNode
}) => {
  const router = useRouter()

  return <OctokitProvider navigate={router.push}>{children}</OctokitProvider>
}
